Bug 179028 - Update port: security/py-keyring Upgrade to 1.3
Summary: Update port: security/py-keyring Upgrade to 1.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-05-27 22:10 UTC by Douglas Thrift
Modified: 2013-06-09 17:50 UTC (History)
1 user (show)

See Also:


Attachments
py-keyring.2013-05-26T224532Z.diff (2.16 KB, patch)
2013-05-27 22:10 UTC, Douglas Thrift
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Douglas Thrift 2013-05-27 22:10:00 UTC
Upgraded security/py-keyring to 1.3. Cleaned up options and added options for
all optional dependencies. This update depends on ports/179025, ports/179026,
and ports/179027 to provide those optional dependencies.

https://redports.org/buildarchive/20130526220801-1548/

From CHANGES.rst:

---
1.3
---

* Use the `SecretStorage library <https://pypi.python.org/pypi/SecretStorage>`_
  to implement the Secret Service backend (instead of using dbus directly).
  Now the keyring supports prompting for and deleting passwords. Fixes #69,
  #77, and #93.
* Catch `gnomekeyring.IOError` per the issue `reported in Nova client
  <https://bugs.launchpad.net/python-novaclient/+bug/1116302>`_.
* Issue #92 Added support for delete_password on Mac OS X Keychain.

-----
1.2.3
-----

* Fix for Encrypted File backend on Python 3.
* Issue #97 Improved support for PyPy.
Comment 1 Edwin Groothuis freebsd_committer 2013-05-27 22:10:09 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

freebsd-python@ wants this port PRs (via the GNATS Auto Assign Tool)
Comment 2 Martin Wilke freebsd_committer 2013-05-28 06:57:31 UTC
Responsible Changed
From-To: freebsd-python->miwi

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-06-09 17:48:46 UTC
Author: miwi
Date: Sun Jun  9 16:48:39 2013
New Revision: 320346
URL: http://svnweb.freebsd.org/changeset/ports/320346

Log:
  - Update to 1.3
  
  PR:		179028
  Submitted by:	Douglas William Thrift <douglas@douglasthrift.net>

Modified:
  head/security/py-keyring/Makefile   (contents, props changed)
  head/security/py-keyring/distinfo   (contents, props changed)

Modified: head/security/py-keyring/Makefile
==============================================================================
--- head/security/py-keyring/Makefile	Sun Jun  9 16:18:29 2013	(r320345)
+++ head/security/py-keyring/Makefile	Sun Jun  9 16:48:39 2013	(r320346)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	keyring
-PORTVERSION=	1.2.2
+PORTVERSION=	1.3
 CATEGORIES=	security python
 MASTER_SITES=	CHEESESHOP
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
@@ -20,10 +20,14 @@ USE_ZIP=	yes
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	easy_install
 
-OPTIONS_DEFINE=		CRYPT_FILE GNOME_KEYRING KDE_KWALLET
-GNOME_KEYRING_DESC=	GNOME Keyring backend
-KDE_KWALLET_DESC=	KDE KWallet backend
-CRYPT_FILE_DESC=	Crypt(ed) File backend
+OPTIONS_DEFINE=		CRYPT_FILE GNOME_KEYRING KDE_KWALLET KEYCZAR PYFS \
+			SECRET_SERVICE
+CRYPT_FILE_DESC=	Install pycrpto to support the Crypt(ed) File backend
+GNOME_KEYRING_DESC=	Install GNOME Keyring to support the Gnome backend
+KDE_KWALLET_DESC=	Install KDE KWallet to support the kwallet backend
+KEYCZAR_DESC=		Install keyczar to support keyring encryption
+PYFS_DESC=		Install pyfilesystem to support the pyfs backend
+SECRET_SERVICE_DESC=	Install SecretStorage to support the SecretService backend
 
 .include <bsd.port.options.mk>
 
@@ -39,4 +43,16 @@ USE_GNOME+=	pygnomedesktop
 USE_KDE4+=	pykde4
 .endif
 
+.if ${PORT_OPTIONS:MKEYCZAR}
+RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}keyczar>=0.71c:${PORTSDIR}/security/py-keyczar
+.endif
+
+.if ${PORT_OPTIONS:MPYFS}
+RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}fs>=0.4.0:${PORTSDIR}/devel/py-fs
+.endif
+
+.if ${PORT_OPTIONS:MSECRET_SERVICE}
+RUN_DEPENDS+=	${PYTHON_PKGNAMEPREFIX}SecretStorage>=1.0.0:${PORTSDIR}/security/py-SecretStorage
+.endif
+
 .include <bsd.port.mk>

Modified: head/security/py-keyring/distinfo
==============================================================================
--- head/security/py-keyring/distinfo	Sun Jun  9 16:18:29 2013	(r320345)
+++ head/security/py-keyring/distinfo	Sun Jun  9 16:48:39 2013	(r320346)
@@ -1,2 +1,2 @@
-SHA256 (keyring-1.2.2.zip) = 20e4e34f15deca61d5a58edc1d2e5e3720cbdc340726d4918590036db6decfab
-SIZE (keyring-1.2.2.zip) = 79028
+SHA256 (keyring-1.3.zip) = 8f3a1936b241332289c6c3a7bef0f380de8cd34e7e90fd6b3bb11ff6d51bb961
+SIZE (keyring-1.3.zip) = 79451
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Martin Wilke freebsd_committer 2013-06-09 17:48:53 UTC
State Changed
From-To: open->closed

Committed. Thanks!